
// StrokingBufferState_global.hpp - global state for GPU buffers for arc length for paths

#ifndef __StrokingBufferState_global_hpp__
#define __StrokingBufferState_global_hpp__

extern void establishArcLengthBuffers();
extern void bindArcLengthBuffers();
extern void resetArcLengthBuffers();
extern void dumpArcLengthBuffers(size_t links);
extern int nextDistanceOffsetOfArcLengthBuffers();
extern void advanceNextDistanceOffsetOfArcLengthBuffers(size_t links);

#endif // __StrokingBufferState_global_hpp__